// Code generated by go-swagger; DO NOT EDIT.

package builds

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "gitlab.com/pear-slices/mobile_platform/bitrise-step-api-build-trigger/models"
)

// BuildShowReader is a Reader for the BuildShow structure.
type BuildShowReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *BuildShowReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {

	case 200:
		result := NewBuildShowOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil

	case 400:
		result := NewBuildShowBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 401:
		result := NewBuildShowUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 404:
		result := NewBuildShowNotFound()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 500:
		result := NewBuildShowInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewBuildShowOK creates a BuildShowOK with default headers values
func NewBuildShowOK() *BuildShowOK {
	return &BuildShowOK{}
}

/*BuildShowOK handles this case with default header values.

OK
*/
type BuildShowOK struct {
	Payload *models.V0BuildShowResponseModel
}

func (o *BuildShowOK) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/builds/{build-slug}][%d] buildShowOK  %+v", 200, o.Payload)
}

func (o *BuildShowOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.V0BuildShowResponseModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewBuildShowBadRequest creates a BuildShowBadRequest with default headers values
func NewBuildShowBadRequest() *BuildShowBadRequest {
	return &BuildShowBadRequest{}
}

/*BuildShowBadRequest handles this case with default header values.

Bad Request
*/
type BuildShowBadRequest struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *BuildShowBadRequest) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/builds/{build-slug}][%d] buildShowBadRequest  %+v", 400, o.Payload)
}

func (o *BuildShowBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewBuildShowUnauthorized creates a BuildShowUnauthorized with default headers values
func NewBuildShowUnauthorized() *BuildShowUnauthorized {
	return &BuildShowUnauthorized{}
}

/*BuildShowUnauthorized handles this case with default header values.

Unauthorized
*/
type BuildShowUnauthorized struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *BuildShowUnauthorized) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/builds/{build-slug}][%d] buildShowUnauthorized  %+v", 401, o.Payload)
}

func (o *BuildShowUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewBuildShowNotFound creates a BuildShowNotFound with default headers values
func NewBuildShowNotFound() *BuildShowNotFound {
	return &BuildShowNotFound{}
}

/*BuildShowNotFound handles this case with default header values.

Not Found
*/
type BuildShowNotFound struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *BuildShowNotFound) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/builds/{build-slug}][%d] buildShowNotFound  %+v", 404, o.Payload)
}

func (o *BuildShowNotFound) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewBuildShowInternalServerError creates a BuildShowInternalServerError with default headers values
func NewBuildShowInternalServerError() *BuildShowInternalServerError {
	return &BuildShowInternalServerError{}
}

/*BuildShowInternalServerError handles this case with default header values.

Internal Server Error
*/
type BuildShowInternalServerError struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *BuildShowInternalServerError) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/builds/{build-slug}][%d] buildShowInternalServerError  %+v", 500, o.Payload)
}

func (o *BuildShowInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
